%define major		0
%define apiver		2.0
%define libname		%mklibname %{name} %{apiver} %{major}
%define develname	%mklibname -d %{name}
%define develsname	%mklibname -d -s %{name}

%define sname	SDL2_ttf

Summary:	Simple DirectMedia Layer 2 - Sample TrueType Font Library
Name:		sdl2_ttf
Version:	2.22.0
Release:	%mkrel 1
License:	zlib
Group:		System/Libraries
URL:		https://www.libsdl.org/projects/SDL_ttf
Source0:	https://www.libsdl.org/projects/SDL_ttf/release/%{sname}-%{version}.tar.xz

BuildRequires:	pkgconfig(gl)
BuildRequires:	pkgconfig(freetype2)
BuildRequires:	pkgconfig(sdl2)

%description
This is a sample library which allows you to use TrueType fonts in your SDL2
applications. It comes with an example program "showfont" which displays an
example string for a given TrueType font file.

Warning! TrueType font decoding is under patent, and software using this
library may be in violation of this patent. Use at your own risk! See
https://freetype.org/ for details.

%package -n %{libname}
Summary:	Main library for %{name}
Group:		System/Libraries

%description -n %{libname}
This package contains the library needed to run programs dynamically
linked with %{name}.

Warning! TrueType font decoding is under patent, and software using this
library may be in violation of this patent. Use at your own risk! See
https://freetype.org/ for details.

%package -n %{develname}
Summary:	Headers for developing programs that will use %{name}
Group:		Development/Libraries
Requires:	%{libname} = %{version}-%{release}
Provides:	%{name}-devel = %{version}-%{release}

%description -n %{develname}
This package contains the headers that programmers will need to develop
applications which will use %{name}.

Warning! TrueType font decoding is under patent, and software using this
library may be in violation of this patent. Use at your own risk! See
https://freetype.org/ for details.

%package -n %{develsname}
Summary:	Static library for developing static programs that use %{name}
Group:		Development/Libraries
Provides:	%{name}-static-devel = %{version}-%{release}
Provides:	%{sname}-static-devel = %{version}-%{release}

%description -n %{develsname}
This package contains the static library that programmers will need
to develop static applications which are using %{name}.

%package -n %{libname}-test
Summary:	Test binary for %{name}
Group:		System/Libraries
Conflicts:	showfont
Conflicts:	%{_lib}SDL_ttf2.0_0-test

%description -n %{libname}-test
This package contains binary to test the associated library.

%prep
%autosetup -p1 -n %{sname}-%{version}

%build
%configure2_5x
%make_build

%install
%make_install

rm -rf %buildroot/usr/lib64/*.la

install -d %{buildroot}%{_bindir}
install -m755 .libs/{showfont,glfont} %{buildroot}%{_bindir}

%files -n %{libname}-test
%{_bindir}/showfont
%{_bindir}/glfont

%files -n %{libname}
%{_libdir}/lib*%{apiver}.so.%{major}{,.*}

%files -n %{develname}
%{_libdir}/lib*.so
%{_includedir}/SDL2/*
%{_libdir}/pkgconfig/%{sname}.pc
%{_libdir}/cmake/%{sname}/

%files -n %{develsname}
%{_libdir}/lib*.a


%changelog
* Thu Feb 01 2024 tex - 2.22.0-1pclos2024
- new version: 2.22.0
